> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeus.agentspro.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Document

> Upload a document to a knowledge base

After uploading, the document status is `pending`. You need to manually call [Process Document](/en/knowledge-base/api/process-document) to trigger processing.

<ParamField header="Authorization" type="string" required>
  Bearer JWT Token
</ParamField>

<ParamField header="Content-Type" type="string" required>
  `multipart/form-data`
</ParamField>

<ParamField path="id" type="string" required>
  Knowledge base ID
</ParamField>

<ParamField body="file" type="file" required>
  The document file to upload. Supported formats: PDF, Word (`.doc`/`.docx`), Excel (`.xls`/`.xlsx`), PowerPoint (`.ppt`/`.pptx`), Markdown, CSV, plain text
</ParamField>

<ResponseField name="document_id" type="string">
  Document unique identifier
</ResponseField>

<ResponseField name="status" type="string">
  Document status, `pending` after upload
</ResponseField>

<ResponseField name="file_name" type="string">
  File name
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url https://zeus-api.agentspro.cn/api/knowledge-base/kb_abc123/documents \
    --header 'Authorization: Bearer <token>' \
    --form 'file=@/path/to/document.pdf'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "document_id": "doc_xyz789",
    "status": "pending",
    "file_name": "document.pdf"
  }
  ```
</ResponseExample>
